-- Fun Script Rounds Configuration --

--[[ Round Parameters:
Name: round name, it must be between quotes ("name").
Items: items players will get at spawn. Please dont put any kind of armor(light,medic,etc.) here. You must put them between curly brackets ({}) and separated by comma (,).
Armor: armor amount players will get at spawn. You can set special armors with values over 200 (light,normal,heavy,medic,super and stealth armors uses 201,202,203,204,205,206 respectively).
Set_Weapon: weapon/item that will be selected as default.
Infinite_Ammo: weapons/iteams that will have unlimited ammo. You should put it just like on the Items parameter, but with the weapons you want to have unlimited ammo.
Speedmod: changes players movement speed at the start of the round. Dont use it if you want them to get 0 speed (default).
Health: max health players will have at the start of the round. Dont use it if you want them to get 100 max health (default).
No_Knife: when set to 1, removes the knife from the player at the start of the round.
CTS: the counter-terrorist spawn positions (in tiles). The cts will spawn on these spots when set. Every ordered pair must be put between curly brackets, separated with comma, and then the whole list in curly brackets.
TS: the terrorist spawn positions (in tiles). The configuration of these its the same as the CTS one.
Floor: floor items that will be placed at the start of the round. These must be put on triads: first the item id, then the x position and then the y position (in tiles),these must be put between curly brackets, then
       every triad separated by coma, and then the whole list in curly brackets.
	   
Things to know:
*The Name parameter its the only parameter that is really needed for every round, leaving this empty will cause errors.
*Dont add any other parameter until you know what you are doing, else those parameters will do nothing, or maybe cause errors.
*Dont put values over 206 on the Armor parameter, this is a bug that will make the game stop showing how much armor players have.
*These rounds will work with the de_dust map only, until you edit all the CTS,TS and Floor parameters.
*The No_Knife parameter may not work on rounds that uses consumable items (nades,mines), or when the script configuration let you drop with "G".)

Go down if you wanna see some round examples. ]]--

FS.Rounds = {
	{
		Name = "Random"
	},
	{
		Name = "Super Laser Frenzy",
		Items = {45,85,3},
		Armor = 200,
		Set_Weapon = 45,
		Infinite_Ammo = {45,3},
		Speedmod = 25,
		No_Knife = 1
	},
	{
		Name = "Slow Turtles",
		Items = {41,78},
		Armor = 203,
		Set_Weapon = 41,
		Speedmod = -3,
		Health = 200,
		No_Knife = 1,
		TS = {{49,9},{51,9},{52,9},{54,9}},
		CTS = {{49,20},{51,20},{52,20},{54,20}},
	},
	{
		Name = "Mad Spartans",
		Items = {41,69,73},
		Armor = 203,
		Set_Weapon = 69,
		Speedmod = 5,
		Health = 150
	},
	{
		Name = "Close Knives",
		Armor = 100,
		TS = {{82,62}},
		CTS = {{80,64}}
	},
	{
		Name = "Pros Paradise",
		Items = {32,3,51},
		Armor = 100
	},
	{
		Name = "Rushers Paradise",
		Items = {10,3,51},
		Armor = 100
	},
	{
		Name = "Campers Paradise",
		Items = {3,35,51,69},
		Armor = 100
	},
	{
		Name = "Duck Hunt",
		Items = {3,34,51},
		Armor = 200,
		Set_Weapon = 3,
		Infinite_Ammo = {3,34},
		Speedmod = 5
	},
	{
		Name = "Bomberman",
		Items = {51,76,75},
		Armor = 100,
		Set_Weapon = 51,
		Infinite_Ammo = {51,76,75},
		Health = 150
	},
	{
		Name = "Need For Speed",
		Items = {40,48,85},
		Armor = 203,
		Infinite_Ammo = {40,48},
		Speedmod = 55,
		Health = 200,
		No_Knife = 1
	},
	{
		Name = "Minesweeper",
		Items = {77,87,86},
		Armor = 202,
		Infinite_Ammo = {77,87,86},
		Speedmod = 5
	},
	{
		Name = "Modern Flame War",
		Items = {46,73,51},
		Armor = 202,
		Infinite_Ammo = {46},
		Speedmod = 10,
		Health = 150,
		No_Knife = 1
	},
	{
		Name = "Noobathon",
		Items = {45,48,73},
		Armor = 205,
		Infinite_Ammo = {45,48},
		Speedmod = 45,
		Health = 200
	},
	{
		Name = "Ninja Gaiden",
		Items = {69,6,52,53},
		Armor = 206,
		Infinite_Ammo = {6},
		Speedmod = 20,
		Health = 40
	},
	{
		Name = "Enginer Trouble",
		Items = {74,3,23},
		Armor = 202,
		Infinite_Ammo = {23,3},
		Health = 75,
		No_Knife = 1,
		TS = {{40,63},{44,66},{48,63},{52,66},{56,63},{60,66}},
		CTS = {{40,66},{44,63},{48,66},{52,63},{56,66},{60,63}},
	},
	{
		Name = "Portalized",
		Items = {88,6,77,51},
		Armor = 206,
		Infinite_Ammo = {6,77,51},
		Speedmod = 5
	},
	{
		Name = "Rocket Ownage",
		Items = {47},
		Infinite_Ammo = {47},
		Health = 200,
		TS = {{49,9},{51,9},{52,9},{54,9}},
		CTS = {{49,20},{51,20},{52,20},{54,20}},
	},
	{
		Name = "1 Life",
		Items = {1},
		Set_Weapon = 1,
		Speedmod = 5,
		Health = 1
	},
	{
		Name = "Tank Massacre",
		Items = {47,46,40,85},
		Armor = 205,
		Set_Weapon = 47,
		Infinite_Ammo = {47,46,40},
		Speedmod = 5,
		Health = 50,
		No_Knife = 1,
		TS = {{40,63},{44,66},{48,63},{52,66},{56,63},{60,66}},
		CTS = {{40,66},{44,63},{48,66},{52,63},{56,66},{60,63}},
	},
	{
		Name = "First Killer",
		Armor = 100,
		TS = {{49,9},{51,9},{52,9},{54,9}},
		CTS = {{49,20},{51,20},{52,20},{54,20}},
		Floor = {{47,51,14},{69,52,14},{69,51,15},{47,52,15}}
	},
	{
		Name = "Gas Spam",
		Items = {72},
		Set_Weapon = 72,
		Infinite_Ammo = {72},
		Health = 250,
		TS = {{40,63},{44,66},{48,63},{52,66},{56,63},{60,66}},
		CTS = {{40,66},{44,63},{48,66},{52,63},{56,66},{60,63}},
	},
	{
		Name = "Fast Reflex",
		Items = {88,54,52},
		Set_Weapon = 88,
		Infinite_Ammo = {52},
		Health = 100,
		No_Knife = 1,
		TS = {{17,83},{17,84}},
		CTS = {{17,83},{17,84}},
	},
	{
		Name = "GO AWAY FROM ME!",
		Armor = 100,
		TS = {{17,83}},
		CTS = {{17,84}}
	},
	{
		Name = "Chain-saw Reaction",
		Items = {85},
		Armor = 202,
		TS = {{41,42},{47,42}},
		CTS = {{44,41},{50,41}}
	},
	-- You should add rounds from here. --
}